Subject: bug#2845: 23.0.91; NS: 'Set Default Font' not preserved

From: Alberto Simões <[email-masked]>
Date: Wed, 01 Apr 2009 21:27:27 +0100

I have an emacs built from cvs (one week old, probably) for MacOS (NS).
I am trying to use the
  Options > Set Default Font
Followed by
  Options > Save Options
to change the default emacs font (size).

Unfortunately, when I restart emacs I get the original font size, and
not the one defined previously.

In GNU Emacs 23.0.91.1 (i386-apple-darwin9.6.0, NS apple-appkit-949.43)
 of 2009-03-28 on rachmaninoff.lan
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: pt_PT.utf-8
  value of $LC_CTYPE: pt_PT.utf-8
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t

Recent input:
M-x r e p o <tab> r <tab> <return>

Recent messages:
Loading paren...done [3 times]
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...

-- 
Alberto Simões - Departamento de Informática - Universidade do Minho
                 Campus de Gualtar - 4710-057 Braga - Portugal